@ECHO OFF
 rem ==========================================================================
 rem === Initialize Environment Variables
 rem === Last Modified On 03 Dec 2003
 rem ==========================================================================
:Variables
 SET @JOBNAME=Daily Defrag
 SET @JOBPATH=%~f0
 SET @JOBFREQ=DAILY
 SET @JOBTIME=04:00:00
 SET @JOBUSER=NT AUTHORITY\SYSTEM


 rem ==========================================================================
 rem === Schedule Job: DESCRIPTION OF SCHEDULED JOB
 rem === Last Modified On 03 Dec 2003
 rem ==========================================================================
:ScheduleJob
 ECHO:
 ECHO Scheduling Job...
 ECHO:
 rem --- Scheduling via AT (NT4 and 2000)
 rem AT | FIND /I "%@JOBPATH%" >NUL
 rem IF ERRORLEVEL 1 AT %@JOBTIME% /EVERY:M,T,W,TH,F,SA,SU  %@JOBPATH%

 rem --- Scheduling via SCHTASKS (XP and 2003)
 SCHTASKS /QUERY /V /FO LIST | FIND /I "%@JOBPATH%" >NUL
 IF ERRORLEVEL 1 (
	 SCHTASKS /CREATE /TN "%@JOBNAME%" /TR "%@JOBPATH%" /SC "%@JOBFREQ%" /ST %@JOBTIME% /RU "%@JOBUSER%"
 )
