@REM - ASB (10 May 2006 // 06 Apr 2024 / 02 Nov 2021 / 05 Apr 2021 / 03 Feb 2020 / 21 Jan 2020 / 15 Feb 2017 / 24 Jan 2017 / 04 Sep 2013): Clear Custom Variables
@ECHO OFF
 ECHO %~nx0 v3.3.0.140


:Vars
 SET POPD=%~1& IF "%~1"=="" SET POPD=15
 SET VARS=\ @ # $
 SET vMSG=Custom "@" and "\" and "#" and "$" Variables
 SET NONE=ECHO *** NONE ***


:DisplayThenClear
 CALL :DisplayVars The Following %vMSG% Are Defined:
 IF NOT DEFINED NONE (
	 TIMEOUT 10
	 CALL :ClearMyVars Clearing All %vMSG%:
 )
 ECHO:
 ECHO *** Verifying Cleanup ***
 FOR %%V IN (DEBUG %VARS%) DO SET %%~V
 FOR /L %%V IN (1,1,%POPD%) DO POPD


:ExitBatch
 TITLE Command Prompt [%USERDOMAIN%\%USERNAME%]
 SET DEBUG=
 SET POPD=
 SET VARS=
 SET vMSG=
 SET NONE=
 GOTO :EOF


 rem -- SUBROUTINE: Display or Clear Environment Variables
:DisplayVars
:ClearMyVars
 ECHO:
 ECHO %*
 FOR %%C IN (%VARS%) DO FOR /F "TOKENS=1-2 DELIMS==" %%V IN ('SET %%~C 2^>NUL') DO (
	 IF /I "%~0"==":DisplayVars" (ECHO  - %%~V&     SET NONE=)
	 IF /I "%~0"==":ClearMyVars" (ECHO  %%~V = %%W& SET %%V=)
 )
 %NONE%
 GOTO :EOF
                                                                      