@ECHO OFF
 rem ==========================================================================
 rem === Kill and Restart Web Services
 rem ==========================================================================
 rem
 rem Created On: 11 Jan 1999
 rem         By: Andrew S. Baker
 rem
 rem Updated On: 16 May 2001
 rem         By: Andrew S. Baker
 rem


 rem ==========================================================================
 rem  OS Required: NT4 or later
 rem
 rem  Non-Native Utilities Required:
 rem  	Resource Kit ........... http://KB.ultratech-llc.com/?File=ResKit.TXT
 rem  	Alternate Tools ........ http://KB.ultratech-llc.com/?File=Processes.TXT
 rem ==========================================================================

 :::  Place all of the relevant IIS Maintenance Scripts
 :::  (STOPIT, STARTIT, KILLIT, and FIXIT) in a single
 :::  folder (e.g. D:\Scripts) and make sure that a
 :::  LOGS folder exists (e.g. D:\Scripts\Logs)
 :::
 :::  The batch files will generate a status report into
 :::  the logfile which indicates what time the service
 :::  was acted upon (started, stopped, killed, etc)


 rem ==========================================================================
 rem === Initialize Environment Variables
 rem === Last Modified On 03 Nov 1999
 rem ==========================================================================
:Variables
 IF /I "%DEBUG%"=="TRUE" ECHO ON
 SETLOCAL
 SET @LOGFILE=%~dp0\Logs\Restart.LOG
 SET @CMDLINE=(%CMDCMDLINE%) %0 %*
:Variables
 IF /I "%DEBUG%"=="TRUE" TIMEOUT 5


 rem ==========================================================================
 rem === Kill Web Processes and Restart Web Services
 rem === Last Modified On 16 Nov 1999
 rem ==========================================================================
:Restart
 CALL "%~dp0\KILLIT"
 SLEEP 5
 CALL "%~dp0\STOPIT"
 SLEEP 5
 CALL "%~dp0\STARTIT"
:Restart
 IF /I "%DEBUG%"=="TRUE" TIMEOUT 5


 rem ==========================================================================
 rem === Reset Environment Variables and Exit Batch File
 rem === Last Modified On 03 Nov 1999
 rem ==========================================================================
:ExitBatch
 ENDLOCAL
