@ECHO OFF
 CLS
 rem ==========================================================================
 rem === Create Strong Passwords For User Accounts
 rem ==========================================================================
 rem
 rem Created On: 26 Sep 2004
 rem         By: Andrew S. Baker
 rem
 rem Updated On: 26 Sep 2004
 rem         By: Andrew S. Baker
 rem


 rem ==========================================================================
 rem  OS Required: Windows 2000 or Higher
 rem
 rem  Non-Native Utilities Required: (for some scripts)
 rem  	Resource Kit ........... http://KB.ultratech-llc.com/?File=ResKit.TXT
 rem ==========================================================================


 :::  These scripts will generate random, complex passwords of a
 :::  predetermined length for user accounts using a number of
 :::  different approaches -- mostly with native tools.
 :::
 :::  For More Scripting Assistance, see the following:
 :::  http://KB.ultratech-llc.com/?File=Scripting.TXT


 rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 rem Windows 2000 or Higher -- No Resource Kit Required

 rem ==========================================================================
 rem === Create 20 Temp Accounts                       (OPTION #1)
 rem === Last Modified On 26 Sep 2004
 rem ==========================================================================
:SetPasswords1
 SETLOCAL
 SET @LEN=10
 SET @MAX=20

 FOR /L %%U IN (1,1,%@MAX%) DO FOR /F "TOKENS=*" %%P IN ('NET USER "Temp Account %%U" /ADD /RANDOM:%@LEN% ^| FIND "Password"') DO @ECHO %%P
 FOR /L %%U IN (1,1,%@MAX%) DO NET USER "Temp Account %%U" /DELETE
 ENDLOCAL


 rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 rem Windows 2000 or Higher -- No Resource Kit Required

 rem ==========================================================================
 rem === Create 20 Temp Accounts                       (OPTION #2)
 rem === Last Modified On 26 Sep 2004
 rem ==========================================================================
:SetPasswords2
 SETLOCAL
 SET @LEN=10
 SET @MAX=20
 SET @LIST=%TEMP%\List.TXT

 FOR /F "TOKENS=*" %%U IN ('TYPE "%@LIST%"') DO FOR /F "TOKENS=*" %%P IN ('NET USER "%%U" /RANDOM:%@LEN% ^| FIND "Password"') DO @ECHO %%P
 ENDLOCAL
